aboutsummaryrefslogtreecommitdiffstats
path: root/testing/redsocks/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/redsocks/APKBUILD')
-rw-r--r--testing/redsocks/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/redsocks/APKBUILD b/testing/redsocks/APKBUILD
new file mode 100644
index 0000000000..625a26665a
--- /dev/null
+++ b/testing/redsocks/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=redsocks
+pkgver=0.4
+pkgrel=0
+pkgdesc="Transparent redirector of any TCP connection to proxy using your firewall"
+url="http://darkk.net.ru/redsocks"
+arch="all"
+license="Apache-2.0"
+depends=""
+depends_dev="libevent-dev iptables-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://github.com/darkk/$pkgname/archive/release-$pkgver.zip"
+_builddir="$srcdir"/$pkgname-release-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 redsocks "$pkgdir/usr/bin/redsocks"
+ install -Dm644 redsocks.conf.example "$pkgdir"/etc/$pkgname/redsocks.conf
+}
+
+md5sums="eb84f51f76530842a5d734795f4a1b77 release-0.4.zip"
+sha256sums="d0ea872bb42b86e6ad3a6bdb46a2c6b822713b41b00c9f6f2ad2b4ec81d5202f release-0.4.zip"
+sha512sums="029d06fdee382052c727bfd6a2362f68f6156bdd2928de18b425207c524763d3dde56ccc49e0673889a67ef7b16f061a63f44d04895a99195aaf4bace731cc50 release-0.4.zip"